<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<!--Created by Sigma Conso, Powered by IRIS Carbon, Unique Code 624b14aa54148f6a2028d6bb, Generated At Mon, 04 Apr 2022 15:56:47 GMT-->
<xsd:schema xmlns:ifrs-full="http://xbrl.ifrs.org/taxonomy/2020-03-16/ifrs-full" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:ref="http://www.xbrl.org/2006/ref" xmlns:negated="http://www.xbrl.org/2009/role/negated" xmlns:num="http://www.xbrl.org/dtr/type/numeric" xmlns:nonnum="http://www.xbrl.org/dtr/type/non-numeric" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xl="http://www.xbrl.org/2003/XLink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:esef_cor="http://www.esma.europa.eu/taxonomy/2020-03-16/esef_cor" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:cofb="http://www.cofinimmo.com/xbrl/2021" elementFormDefault="qualified" attributeFormDefault="unqualified" targetNamespace="http://www.cofinimmo.com/xbrl/2021">
  <xsd:annotation>
    <xsd:appinfo>
      <link:linkbaseRef xlink:type="simple" xlink:href="549300TM914CSF6KI389-2021-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="549300TM914CSF6KI389-2021-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="549300TM914CSF6KI389-2021-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="549300TM914CSF6KI389-2021-12-31_lab-fr.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:linkbaseRef xlink:type="simple" xlink:href="549300TM914CSF6KI389-2021-12-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
      <link:roleType roleURI="http://www.cofinimmo.com/xbrl/role/Balisesobligatoires" id="Balisesobligatoires">
        <link:definition>0000 - Document - Balises obligatoires</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.cofinimmo.com/xbrl/role/Étatdurésultatglobalconsolidécomptederésultats" id="Étatdurésultatglobalconsolidécomptederésultats">
        <link:definition>0010 - Statement - État du résultat global consolidé (compte de résultats)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.cofinimmo.com/xbrl/role/ÉtatdurésultatglobalconsolidécomptederésultatsCalc2" id="ÉtatdurésultatglobalconsolidécomptederésultatsCalc2">
        <link:definition>0011 - Statement - État du résultat global consolidé (compte de résultats) Calc 2</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.cofinimmo.com/xbrl/role/Étatdelasituationfinancièreconsolidéebilan" id="Étatdelasituationfinancièreconsolidéebilan">
        <link:definition>0020 - Statement - État de la situation financière consolidée (bilan)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.cofinimmo.com/xbrl/role/Calculduratiodendettement" id="Calculduratiodendettement">
        <link:definition>0030 - Statement - Calcul du ratio d’endettement</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.cofinimmo.com/xbrl/role/Tableauconsolidédesfluxdetrésorerie" id="Tableauconsolidédesfluxdetrésorerie">
        <link:definition>0040 - Statement - Tableau consolidé des flux de trésorerie</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.cofinimmo.com/xbrl/role/Étatconsolidédesvariationsdescapitauxpropres" id="Étatconsolidédesvariationsdescapitauxpropres">
        <link:definition>0050 - Statement - État consolidé des variations des capitaux propres</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.cofinimmo.com/xbrl/role/Anchoring" id="Anchoring">
        <link:definition>2000 - Anchoring - ANCHORING</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
    </xsd:appinfo>
  </xsd:annotation>
  <xsd:import namespace="http://www.esma.europa.eu/taxonomy/2020-03-16/esef_cor" schemaLocation="http://www.esma.europa.eu/taxonomy/2020-03-16/esef_cor.xsd" />
  <xsd:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" />
  <xsd:import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" />
  <xsd:import namespace="http://www.xbrl.org/2003/XLink" schemaLocation="http://www.xbrl.org/2003/xl-2003-12-31.xsd" />
  <xsd:import namespace="http://www.w3.org/1999/xlink" schemaLocation="http://www.xbrl.org/2003/xlink-2003-12-31.xsd" />
  <xsd:import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" />
  <xsd:import namespace="http://www.xbrl.org/dtr/type/non-numeric" schemaLocation="http://www.xbrl.org/dtr/type/nonNumeric-2009-12-16.xsd" />
  <xsd:import namespace="http://www.xbrl.org/dtr/type/numeric" schemaLocation="http://www.xbrl.org/dtr/type/numeric-2009-12-16.xsd" />
  <xsd:element name="RecoveryOfPropertyCharges" id="cofb_RecoveryOfPropertyCharges" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="credit" xbrli:periodType="duration" />
  <xsd:element name="RecoveryOfRentalChargesAndTaxesNormallyPayableByTenantsOnLetProperties" id="cofb_RecoveryOfRentalChargesAndTaxesNormallyPayableByTenantsOnLetProperties" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="credit" xbrli:periodType="duration" />
  <xsd:element name="CostsPayableByTenantAndBorneByLandlordOnRentalDamageAndRedecorationAtEndOfLease" id="cofb_CostsPayableByTenantAndBorneByLandlordOnRentalDamageAndRedecorationAtEndOfLease" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="debit" xbrli:periodType="duration" />
  <xsd:element name="PropertyResult" id="cofb_PropertyResult" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="credit" xbrli:periodType="duration" />
  <xsd:element name="TechnicalCosts" id="cofb_TechnicalCosts" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="debit" xbrli:periodType="duration" />
  <xsd:element name="CommercialCosts" id="cofb_CommercialCosts" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="debit" xbrli:periodType="duration" />
  <xsd:element name="ChargesAndTaxesOnUnletProperties" id="cofb_ChargesAndTaxesOnUnletProperties" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="debit" xbrli:periodType="duration" />
  <xsd:element name="PropertyCharges" id="cofb_PropertyCharges" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="debit" xbrli:periodType="duration" />
  <xsd:element name="PropertyOperatingResult" id="cofb_PropertyOperatingResult" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="credit" xbrli:periodType="duration" />
  <xsd:element name="OperatingResultBeforeResultOnPortfolio" id="cofb_OperatingResultBeforeResultOnPortfolio" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="credit" xbrli:periodType="duration" />
  <xsd:element name="OtherResultOnPortfolio" id="cofb_OtherResultOnPortfolio" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="credit" xbrli:periodType="duration" />
  <xsd:element name="NonCurrentReceivablesAndOtherNonCurrentAssets" id="cofb_NonCurrentReceivablesAndOtherNonCurrentAssets" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="debit" xbrli:periodType="instant" />
  <xsd:element name="CurrentTaxAssetsAndOtherCurrentAssets" id="cofb_CurrentTaxAssetsAndOtherCurrentAssets" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="debit" xbrli:periodType="instant" />
  <xsd:element name="Reserves" id="cofb_Reserves" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="credit" xbrli:periodType="instant" />
  <xsd:element name="NetResultOfPeriod" id="cofb_NetResultOfPeriod" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="credit" xbrli:periodType="instant" />
  <xsd:element name="ExitTaxesNonCurrent" id="cofb_ExitTaxesNonCurrent" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="credit" xbrli:periodType="instant" />
  <xsd:element name="OtherTaxLiabilitiesNonCurrent" id="cofb_OtherTaxLiabilitiesNonCurrent" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="credit" xbrli:periodType="instant" />
  <xsd:element name="ExitTaxesCurrent" id="cofb_ExitTaxesCurrent" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="credit" xbrli:periodType="instant" />
  <xsd:element name="AssetsExceptHedgingInstruments" id="cofb_AssetsExceptHedgingInstruments" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="debit" xbrli:periodType="instant" />
  <xsd:element name="DebtToAssetsRatio" id="cofb_DebtToAssetsRatio" type="num:percentItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:periodType="instant" />
  <xsd:element name="ExtensionsOfInvestmentProperties" id="cofb_ExtensionsOfInvestmentProperties" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="credit" xbrli:periodType="duration" />
  <xsd:element name="InvestmentsInInvestmentProperties" id="cofb_InvestmentsInInvestmentProperties" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="credit" xbrli:periodType="duration" />
  <xsd:element name="ExitTaxesPaidRefundClassifiedAsInvestingActivities" id="cofb_ExitTaxesPaidRefundClassifiedAsInvestingActivities" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="credit" xbrli:periodType="duration" />
  <xsd:element name="CashFlowsFromUsedInDecreaseIncreaseInFinanceLeaseReceivablesClassifiedAsInvestingActivities" id="cofb_CashFlowsFromUsedInDecreaseIncreaseInFinanceLeaseReceivablesClassifiedAsInvestingActivities" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="debit" xbrli:periodType="duration" />
  <xsd:element name="CouponsPaidToMandatoryConvertibleBondHolders" id="cofb_CouponsPaidToMandatoryConvertibleBondHolders" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="credit" xbrli:periodType="duration" />
  <xsd:element name="FinancialIncomeReceivedClassifiedAsFinancingActivities" id="cofb_FinancialIncomeReceivedClassifiedAsFinancingActivities" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="debit" xbrli:periodType="duration" />
  <xsd:element name="ReservesMember" id="cofb_ReservesMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xsd:element name="ReserveOfBalanceOfChangesInFairValueOfAuthorisedHedgingInstrumentsToWhichHedgingAccountingDefinedInIFRSIsAppliedMember" id="cofb_ReserveOfBalanceOfChangesInFairValueOfAuthorisedHedgingInstrumentsToWhichHedgingAccountingDefinedInIFRSIsAppliedMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xsd:element name="ReserveOfBalanceOfChangesInFairValueOfAuthorisedHedgingInstrumentsToWhichHedgingAccountingDefinedInIFRSIsNotAppliedMember" id="cofb_ReserveOfBalanceOfChangesInFairValueOfAuthorisedHedgingInstrumentsToWhichHedgingAccountingDefinedInIFRSIsNotAppliedMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xsd:element name="NonDistributableReserveMember" id="cofb_NonDistributableReserveMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xsd:element name="ReserveForTreasurySharesMember" id="cofb_ReserveForTreasurySharesMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xsd:element name="NetResultOfPeriodMember" id="cofb_NetResultOfPeriodMember" type="nonnum:domainItemType" substitutionGroup="xbrli:item" nillable="true" abstract="true" xbrli:periodType="duration" />
  <xsd:element name="DividendsCouponsPaid" id="cofb_DividendsCouponsPaid" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="debit" xbrli:periodType="duration" />
  <xsd:element name="WritebackOfLeasePaymentsSoldAndDiscounted" id="cofb_WritebackOfLeasePaymentsSoldAndDiscounted" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="credit" xbrli:periodType="duration" />
  <xsd:element name="RentalChargesAndTaxesNormallyPayableByTenantsOnLetProperties" id="cofb_RentalChargesAndTaxesNormallyPayableByTenantsOnLetProperties" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="debit" xbrli:periodType="duration" />
  <xsd:element name="ConvertibleBonds" id="cofb_ConvertibleBonds" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="credit" xbrli:periodType="duration" />
  <xsd:element name="NetAppropriationOfProfits" id="cofb_NetAppropriationOfProfits" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="credit" xbrli:periodType="duration" />
  <xsd:element name="ReclassificationBetweenReserves" id="cofb_ReclassificationBetweenReserves" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="credit" xbrli:periodType="duration" />
  <xsd:element name="GainsLossesOnDisposalsOfOtherNonFinancialAssets" id="cofb_GainsLossesOnDisposalsOfOtherNonFinancialAssets" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="credit" xbrli:periodType="duration" />
  <xsd:element name="ExitTaxExpenseIncome" id="cofb_ExitTaxExpenseIncome" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="debit" xbrli:periodType="duration" />
  <xsd:element name="InvestmentsInAssociatesAndJointVenturesAccountedForUsingEquityMethod" id="cofb_InvestmentsInAssociatesAndJointVenturesAccountedForUsingEquityMethod" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="debit" xbrli:periodType="instant" />
  <xsd:element name="LongTermBankBorrowings" id="cofb_LongTermBankBorrowings" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="credit" xbrli:periodType="instant" />
  <xsd:element name="CurrentBankBorrowingsAndCurrentPortionOfNonCurrentBankBorrowings" id="cofb_CurrentBankBorrowingsAndCurrentPortionOfNonCurrentBankBorrowings" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="credit" xbrli:periodType="instant" />
  <xsd:element name="OtherNonCurrentFinancialLiabilitiesExceptForHedgingInstruments" id="cofb_OtherNonCurrentFinancialLiabilitiesExceptForHedgingInstruments" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="credit" xbrli:periodType="instant" />
  <xsd:element name="WriteBackOfFinancialIncomeAndFinancialCharges" id="cofb_WriteBackOfFinancialIncomeAndFinancialCharges" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" abstract="false" xbrli:balance="credit" xbrli:periodType="duration" />
</xsd:schema>